org.springframework.batch.item.file

## Class DefaultBufferedReaderFactory

- java.lang.Object
- - org.springframework.batch.item.file.DefaultBufferedReaderFactory

- All Implemented Interfaces:
    BufferedReaderFactory

      public class DefaultBufferedReaderFactory
      extends java.lang.Object
      implements BufferedReaderFactory

  Since:
    2.1
  Author:
    Dave Syer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultBufferedReaderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.BufferedReader` | `create(org.springframework.core.io.Resource resource, java.lang.String encoding)` Create a `BufferedReader` for reading String items from the provided resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultBufferedReaderFactory

          public DefaultBufferedReaderFactory()

  - ### Method Detail

    - #### create

          public java.io.BufferedReader create(org.springframework.core.io.Resource resource,
                                               java.lang.String encoding)
                                        throws java.io.UnsupportedEncodingException,
                                               java.io.IOException

      Description copied from interface: `BufferedReaderFactory`
      Create a `BufferedReader` for reading String items from the provided resource.
      Specified by:
        `create` in interface `BufferedReaderFactory`
      Parameters:
        `resource` - a `Resource` containing the data to be read
        `encoding` - the encoding required for converting binary data to String
      Returns:
        a `BufferedReader`
      Throws:
        `java.io.UnsupportedEncodingException` - if the encoding is not supported by the platform
        `java.io.IOException` - if there is a problem creating the reader